import 'package:flutter/material.dart';

class SoftCard extends StatelessWidget {
  final Widget child;
  final BorderRadius borderRadius;
  final Color shadowColor;
  final Color color;
  final double elevation;
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;

  SoftCard({
    this.child,
    this.borderRadius,
    this.shadowColor,
    this.color,
    this.elevation,
    this.margin,
    this.padding,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: margin ?? const EdgeInsets.all(4.0),
      decoration: BoxDecoration(
        color: color ?? Theme.of(context).cardColor,
        boxShadow: [
          BoxShadow(
            blurRadius: elevation ?? 8.0,
            offset: Offset(0.0, 0.1),
            color: shadowColor ?? Colors.grey.withOpacity(0.18),
          )
        ],
        borderRadius: borderRadius ?? BorderRadius.circular(4.0),
      ),
      child: ClipRRect(
        clipBehavior: Clip.antiAlias,
        borderRadius: borderRadius ?? BorderRadius.circular(4.0),
        child: Padding(
          padding: padding ?? const EdgeInsets.all(8.0),
          child: child,
        ),
      ),
    );
  }
}
